### Enumeration

# GtkSource SpaceTypeFlags

#### Declaration

    flags GtkSource.SpaceTypeFlags

#### Description [src]

`GtkSourceSpaceTypeFlags` contains flags for white space types.

#### Members

`GTK_SOURCE_SPACE_TYPE_NONE`

  No flags.

  - Value: `0`
  - Available since: 5
`GTK_SOURCE_SPACE_TYPE_SPACE`

  Space character.

  - Value: `1`
  - Available since: 5
`GTK_SOURCE_SPACE_TYPE_TAB`

  Tab character.

  - Value: `2`
  - Available since: 5
`GTK_SOURCE_SPACE_TYPE_NEWLINE`

  Line break character. If the `GtkSourceBuffer:implicit-trailing-newline` property is `TRUE`, `GtkSourceSpaceDrawer` also draws a line break at the end of the buffer.

  - Value: `4`
  - Available since: 5
`GTK_SOURCE_SPACE_TYPE_NBSP`

  Non-breaking space character.

  - Value: `8`
  - Available since: 5
`GTK_SOURCE_SPACE_TYPE_ALL`

  All white spaces.

  - Value: `15`
  - Available since: 5